package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class TargetModel {
    private Long id; // 访问路径挂载的服务器的target id
    private List<String> hostUuids; // 访问路径挂载的服务器id
    private String accessPathUuid; // 访问路径id
    private String accessPathName;
    private String status;
    private String iqn; // 访问路径挂载的服务器iqn
    private Long port; //
    private Long board;
    private Date createTime;
    private Date updateTime;
    private String uuid;
    private String hostUuid;
    private String hostName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<String> getHostUuids() {
        return hostUuids;
    }

    public void setHostUuids(List<String> hostUuids) {
        this.hostUuids = hostUuids;
    }

    public String getAccessPathUuid() {
        return accessPathUuid;
    }

    public void setAccessPathUuid(String accessPathUuid) {
        this.accessPathUuid = accessPathUuid;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIqn() {
        return iqn;
    }

    public void setIqn(String iqn) {
        this.iqn = iqn;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public Long getBoard() {
        return board;
    }

    public void setBoard(Long board) {
        this.board = board;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getAccessPathName() {
        return accessPathName;
    }

    public void setAccessPathName(String accessPathName) {
        this.accessPathName = accessPathName;
    }

    public String getHostUuid() {
        return hostUuid;
    }

    public void setHostUuid(String hostUuid) {
        this.hostUuid = hostUuid;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }
}
